/*
Theme Name: Loodo Twenty Twenty-Four
Theme URI: https://example.com/loodo-twentytwentyfour
Description: Loodo — child theme of Twenty Twenty-Four.
Author: You
Author URI: https://example.com
Template: twentytwentyfour
Version: 1.2.3
Text Domain: loodo-twentytwentyfour
*/

/* ==========================================================================
   STYLE CHO CÁC THÀNH PHẦN INPUT, SELECT, TEXTAREA (BEVERSE STUDIO STYLE)
   ========================================================================== */

/* 1. Thiết lập chung cho tất cả các thẻ nhập liệu */
input[type="text"],
input[type="tel"],
input[type="email"],
input[type="password"],
input[type="number"],
input[type="url"],
input[type="search"],
input[type="date"],
select,
textarea {
}

/* 2. Định dạng chữ mờ (Placeholder) */
input::placeholder,
textarea::placeholder {
}

/* 3. Hiệu ứng khi Click chuột vào ô nhập liệu (Focus) */
input:focus,
select:focus,
textarea:focus {
    outline: none !important;
    border-bottom-color: #adc7ff !important; /* Màu trùng với biến --primary gốc */
    
    /* Loại bỏ hoàn toàn vòng shadow xanh mặc định của Tailwind/Bootstrap */
    box-shadow: none !important; 
}

/* 4. Tối ưu riêng cho thẻ Select (Hỗ trợ Darkmode) */
select {
}

/* Fix màu nền của các option bên trong thẻ select trên một số trình duyệt */
select option {
}

/* 5. Tối ưu riêng cho Textarea */
textarea {
}

/* Đồng bộ nút Contact Form 7 theo chuẩn Block Editor */
.wpcf7 input.wpcf7-submit {
}

/* Hiệu ứng Hover đồng bộ */
.wpcf7 input.wpcf7-submit:hover {
}

/* Hiệu ứng khi click (Active) */
.wpcf7 input.wpcf7-submit:active {
}

:where(.wp-site-blocks *:focus){}

html,body{}

body{/*disabled scroll*/ 
    overflow-x: hidden;
    overflow-y: hidden;
}
body.show-page{overflow-y: auto;}
.entry-content p,.entry-content figure,.entry-content .wp-block-heading{margin-bottom:25px;}

.preloader-section{position: fixed; z-index: 999999; width: 100%; height: 100%;}

.wp-block-cb-carousel-v2 .cb-button-prev, .wp-block-cb-carousel-v2.cb-rtl .cb-button-next{left:15px;}
.wp-block-cb-carousel-v2 .cb-button-next, .wp-block-cb-carousel-v2.cb-rtl .cb-button-prev{right:15px;}
.wp-block-cb-carousel-v2 .cb-button-next, .wp-block-cb-carousel-v2 .cb-button-prev{background: #F4F0EE; width: 40px; height: 40px; border-radius: 50%;}
.wp-block-cb-carousel-v2 .cb-button-next:hover, .wp-block-cb-carousel-v2 .cb-button-prev:hover{background: #1B294E;color:#F4F0EE;}

.wp-block-image img{width:100%;}

[data-aos][data-aos][data-aos-duration="400"], body[data-aos-duration="400"] [data-aos]{transition-duration: .8s;}

@media only screen and (max-width:1800px) {
}
@media only screen and (max-width:1440px) {
}
@media only screen and (max-width:1280px) {

}
@media only screen and (max-width:1180px) {
	header.wp-block-template-part .uagb-container-inner-blocks-wrap{max-width:1000px!important;}
}
@media only screen and (max-width:976px) {
}
@media only screen and (max-width:767px) {
}
@media only screen and (max-width:600px) {
}